## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOVariable

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTOVariable

    public class QVTOVariable

extends QVTODebugElement

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getReferenceTypeName()`
`IValue` `getValue()`
`boolean` `hasValueChanged()`
`boolean` `isAttribute()`
`boolean` `isCollectionElement()`
`boolean` `isIntermProperty()`
`boolean` `isLocalVariable()`
`boolean` `isModelParameter()`
`boolean` `isPredefinedVariable()`
`boolean` `isReference()`
`void` `setValue(java.lang.String expression)`
`boolean` `supportsValueModification()`
`boolean` `verifyValue(java.lang.String expression)`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isModelParameter

    public boolean isModelParameter()

### isLocalVariable

    public boolean isLocalVariable()

### isCollectionElement

    public boolean isCollectionElement()

### isPredefinedVariable

    public boolean isPredefinedVariable()

### isIntermProperty

    public boolean isIntermProperty()

### isAttribute

    public boolean isAttribute()

### isReference

    public boolean isReference()

### getValue

    public IValue getValue()
                    throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

  Throws:
    `DebugException`

### hasValueChanged

    public boolean hasValueChanged()
                            throws DebugException

  Throws:
    `DebugException`

### supportsValueModification

    public boolean supportsValueModification()

### setValue

    public void setValue(java.lang.String expression)
                  throws DebugException

  Throws:
    `DebugException`

### verifyValue

    public boolean verifyValue(java.lang.String expression)
                        throws DebugException

  Throws:
    `DebugException`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.